> For the complete documentation index, see [llms.txt](https://docs.caf.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.caf.io/caf-api/core-api/transaction-details/services/private-faceset.md).

# Private Faceset

Comparison of the submitted photo with the photo on private database faces of client.

**Section**: `privateFaceset`

**Required files:** `selfie or document image containing a picture`

{% tabs %}
{% tab title="Schema" %}

| Attribute                                | Type    | Description                                                                                                                             |
| ---------------------------------------- | ------- | --------------------------------------------------------------------------------------------------------------------------------------- |
| statusCode                               | String  | Response status code                                                                                                                    |
| data                                     | Object  | Return data                                                                                                                             |
| data.suspect                             | Boolean | General indicator that a similar face was found. This value considers the manual confirmation of the verified field of each face match. |
| data.faceMatches                         | Array   | Array of images match with the face input                                                                                               |
| data.faceMatches\[X].similarity          | String  | Level of similarity in the compared images                                                                                              |
| data.faceMatches\[X].verified            | Boolean | Indicates that the match was manually confirmed by our operators.                                                                       |
| data.faceMatches\[X].faceset             | Object  | Data of face inserted in private faceset                                                                                                |
| data.faceMatches\[X].faceset.\_id        | Object  | Id of face inserted in private faceset                                                                                                  |
| data.faceMatches\[X].faceset.createdAt   | Object  | Creation date of face inserted in private faceset                                                                                       |
| data.faceMatches\[X].faceset.description | Object  | Description of face inserted in private faceset                                                                                         |
| {% endtab %}                             |         |                                                                                                                                         |

{% tab title="Example" %}

```json
{
  "privateFaceset": {
    "statusCode": "01",
    "data": {
      "faceMatches": [
        {
          "similarity": "99.99998474121094",
          "verified": true,
          "faceset": {
            "_id": "6349abae10920e000909b47a",
            "createdAt": "2022-10-14T18:34:24.606Z",
            "description": "Changed Document"
          }
        }
      ],
      "suspect": true
    }
  }
}
```

{% endtab %}

{% tab title="Validations Rules" %}

| Rule                                  | Description                                                                                                          |
| ------------------------------------- | -------------------------------------------------------------------------------------------------------------------- |
| private\_faceset\_not\_contains\_face | The rule will be invalid if the submitted selfie matches one of the selfies registered in the Private Face Database. |
| {% endtab %}                          |                                                                                                                      |
| {% endtabs %}                         |                                                                                                                      |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.caf.io/caf-api/core-api/transaction-details/services/private-faceset.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
